language-c-0.6.1: Analysis and generation of C code

Safe Haskell | None
Language | Haskell98

Language.C.Syntax.Utils

Contents

- Generic operations
- Concrete operations

Synopsis

- getSubStmts :: CStat -> [CStat]
- mapSubStmts :: (CStat -> Bool) -> (CStat -> CStat) -> CStat -> CStat
- mapBlockItemStmts :: (CStat -> Bool) -> (CStat -> CStat) -> CBlockItem -> CBlockItem
- getLabels :: CStat -> [Ident]

# Generic operations

getSubStmts :: CStat -> [CStat] #

mapSubStmts :: (CStat -> Bool) -> (CStat -> CStat) -> CStat -> CStat #

mapBlockItemStmts :: (CStat -> Bool) -> (CStat -> CStat) -> CBlockItem -> CBlockItem #

# Concrete operations

getLabels :: CStat -> [Ident] #